UPDATE HOTELSETUP
SET KEYVALUE = '1'
WHERE
  KEYVALUE = '0' AND
  SEARCHKEY = 'PDFConversion' AND
  EXISTS (SELECT 1
          FROM HOTELSETUP WITH (NOLOCK)
          WHERE SEARCHKEY = 'DocumentHandling' AND KEYVALUE = '0')
